* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'IBM Plex Mono', monospace;
  font-weight: 300;
  font-size: 0.95rem; }

body {
  background: lemonchiffon; }

ul,
li {
  list-style-position: inside; }

h3 {
  font-weight: 600;
  text-align: center;
  font-size: 1.5rem; }

.centered-form {
  height: 100vh;
  background: darkorchid; }

.centered-form__form {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: rgba(250, 250, 250, 0.9);
  border: 1px solid #e1e1e1;
  border-radius: 5px;
  padding: 0px 20px;
  margin: 140px auto 0;
  width: 230px;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.4); }
  .centered-form__form h1 {
    text-align: center;
    font-size: 1.3rem;
    letter-spacing: 0.1em;
    color: darkorchid;
    font-weight: bold;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); }

.form-field {
  margin: 20px 0; }
  .form-field h3,
  .form-field label {
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); }

.form-field > * {
  width: 100%; }

.form-field label {
  display: block;
  margin-bottom: 7px; }

.form-field input,
.form-field select {
  border: 1px solid #e1e1e1;
  padding: 10px; }

.chat {
  display: flex; }

.chat__sidebar {
  overflow-y: scroll;
  width: 260px;
  height: 100vh;
  background: darkorchid; }

.chat__sidebar h3 {
  color: #e6eaee;
  margin: 10px 20px;
  text-align: left; }

.chat__sidebar ul {
  list-style-type: none; }

.chat__sidebar li {
  background: #e6eaee;
  border: 1px solid #e1e1e1;
  border-radius: 5px;
  padding: 10px;
  margin: 10px;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
  font-weight: bold; }

.chat__main {
  display: flex;
  flex-direction: column;
  height: 100vh;
  width: 100%; }

.chat__main h1 {
  font-size: 2rem;
  margin: 10px 0 10px 8px;
  text-align: left;
  color: darkorchid;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4); }

#typing {
  list-style-type: none;
  padding-left: 25px; }

.chat__messages {
  flex-grow: 1;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  list-style-type: none;
  padding: 10px 12px; }

.message {
  padding: 10px; }

.message__title {
  display: flex;
  margin-bottom: 5px; }

.message__title h4 {
  font-size: 1.1rem;
  font-weight: 600;
  margin-right: 10px;
  color: tomato; }

.message__title span {
  color: #999;
  font-size: 1.1rem; }

.message-body p,
.message-body p a {
  color: #4169e1;
  font-size: 1.1rem; }

.chat__footer {
  background: #e6eaee;
  display: flex;
  padding: 10px;
  flex-shrink: 0;
  height: 60px; }
  .chat__footer button {
    height: 40px;
    vertical-align: middle;
    padding-bottom: 7px; }

.chat__footer form {
  flex-grow: 1;
  display: flex; }

.chat__footer form * {
  margin-right: 10px; }

.chat__footer input {
  border: none;
  padding: 10px;
  flex-grow: 1;
  height: 40px; }

#message-form button,
#send-location {
  padding-top: 5px; }

button {
  border: none;
  background: darkorchid;
  color: white;
  cursor: pointer;
  padding: 10px;
  transition: background .3s ease;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.5); }

button:hover {
  border: none;
  background: #1F4C69;
  color: white;
  padding: 10px; }

button:disabled {
  cursor: default;
  background: #698ea5; }

@media (max-width: 600px) {
  * {
    font-size: 1rem; }

  .chat__sidebar {
    display: none; }

  #message-form button {
    padding-top: 5px; }

  footer {
    height: 40px; }
    footer input {
      height: 40px; }
    footer button {
      height: 40px; }

  .chat__footer {
    flex-direction: column;
    height: 120px; }

  .chat__footer form {
    margin-bottom: 10px; }

  .chat__footer button {
    margin-right: 0px; }

  #send-location {
    margin-top: 10px;
    height: 50px;
    padding-top: 7px; } }
ul {
  display: flex;
  display: block;
  margin: 20px auto;
  text-align: center; }
  ul li {
    display: inline-block;
    font-size: 1.1rem;
    letter-spacing: 0.1em;
    padding: 0 10px;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4); }
  ul a {
    color: white;
    font-size: 1.1rem; }

.faqs,
.about {
  background: darkorchid;
  line-height: 1.7;
  color: #dcdcdc; }

.faqs-content {
  margin: 0 auto 60px; }

.about-content {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center; }

.faqs-content,
.about-content {
  width: 90%; }

.inner-about-content {
  display: flex;
  flex-direction: column;
  vertical-align: middle;
  margin: 20% auto;
  width: 100%; }
  .inner-about-content p {
    margin: 20px auto;
    font-size: 1.1rem; }

.faqs-title {
  font-size: 1.5rem;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4); }

.faqs-title:first-of-type {
  margin-top: 60px; }

.faqs-title,
.faqs-list-item {
  margin-bottom: 20px; }

.faqs ol li {
  font-size: 1.1rem; }
  .faqs ol li a {
    color: tomato;
    font-size: 1.1rem; }

code {
  color: tomato; }

footer {
  width: 100%;
  height: 50px; }

footer p {
  color: white;
  text-align: center;
  font-size: 1.1rem;
  letter-spacing: .1em;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4);
  margin: 20px auto 10px; }

:root {
  --space: 1.5em 0;
  --space: 2em 0; }

.Site {
  display: flex;
  flex-direction: column;
  min-height: 100vh; }

.Site-content {
  flex: 1 0 auto;
  padding: var(--space) var(--space) 0;
  width: 100%; }

.Site-content:after {
  content: '\00a0';
  display: block;
  margin-top: var(--space);
  height: 0;
  visibility: hidden; }

#scroll-btn {
  /* Hidden by default */
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  border: none;
  outline: none;
  background-color: lemonchiffon;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
  cursor: pointer;
  padding: 0 5px 20px 5px;
  height: 50px;
  border-radius: 10px; }

.faqs .material-icons,
.about .material-icons {
  font-size: 48px;
  color: darkorchid; }

#scroll-btn:hover {
  background-color: #dcdcdc; }

/*# sourceMappingURL=style.css.map */
